/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CellInfoDescription } from "./CellInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class ImageCellInfoDescription extends CellInfoDescription {
    constructor() {
        super();
        this.dk = null;
        this.dm = null;
        this.dl = null;
    }
    get_type() {
        return "ImageCellInfo";
    }
    get imagePath() {
        return this.dk;
    }
    set imagePath(a) {
        this.dk = a;
        this.e("ImagePath");
    }
    get imageStretchOption() {
        return this.dm;
    }
    set imageStretchOption(a) {
        this.dm = a;
        this.e("ImageStretchOption");
    }
    get imageResourceType() {
        return this.dl;
    }
    set imageResourceType(a) {
        this.dl = a;
        this.e("ImageResourceType");
    }
}
ImageCellInfoDescription.$t = markType(ImageCellInfoDescription, 'ImageCellInfoDescription', CellInfoDescription.$);
